
Redmine - Defect #6624

Project horizontal menu layout doesn't wrap

2010-10-11 12:06 - Hans Schmidt

Status: Closed Start date: 2010-10-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

The Screenshot defect.png show the defect.

My fix fix.PNG :

File: /redmine-root/app/views/layouts/base.rhtml

Add in line 52: <div style="clear: both;"></div>

Clears the float:left from main-menu / ul / li

  <div id="main-menu">

    <%= render_main_menu(@project) %>

  </div>

  <% end %>

+ <div style="clear: both;"></div>

Edit css:

#header {height:100%; margin:0; padding: 4px 8px 0px 6px; position:relative;}

#main-menu {margin-right: 0px; position: relative; left: 0px;}

Related issues:

Related to Redmine - Feature #12789: Redmine - design study New

Related to Redmine - Feature #10773: Support Nesting Menus New

Related to Redmine - Feature #6984: Configure order/position and visbility of... New 2010-11-25

Related to Redmine - Feature #10718: Advanced menu (main,context) configurati... New

Related to Redmine - Patch #13892: Wraping Mainmenu on long menus Closed

Related to Redmine - Patch #20632: Tab left/right buttons for project menu Closed

Has duplicate Redmine - Defect #14526: Default Theme: Apparent strange behavi... Closed

Has duplicate Redmine - Defect #14489: Wrong CSS for large menu Closed

History

#1 - 2010-10-11 12:23 - Felix Schäfer

- Category set to UI

I'm not sure if wrapping the tabs is the preferred way, most other tab bars have arrows left an right to navigate them. Anyway, I think it's more than

time that we get a nested project menu, and maybe even put it in a left sidebar rather than atop the project.

#2 - 2010-10-11 13:21 - Jean-Baptiste Barth

It's partially related to my request at #6271. +1 for Felix comment anyway, too many tabs at the same level on the top is not so good...

#3 - 2010-10-11 23:09 - Terence Mill

+1 for any solution handling the problem

#4 - 2010-10-12 00:39 - Mischa The Evil

Felix Schäfer wrote:
[...] and maybe even put it in a left sidebar rather than atop the project.

 This can be achieved using my Collapse plugin. It has a feature to render the project-menu inside the added sidebar instead of atop of the project.

Note: The plugin isn't compatible with recent Redmine versions. An updated version is on his way... ;)

#5 - 2011-03-02 16:11 - Terence Mill

would be nice if this patch can be included in next version. At the momemnt the layout is kind of static and not growing with scrren size.

#6 - 2013-04-15 13:55 - Terence Mill

Why is this still nlot fixed?

#7 - 2013-04-15 14:05 - Daniel Felix

Another idea would be to create a breadcrumb menu, which lies above the project menu and has more space. But I encounter this misbehaviour too.

I add a relation to #12789.

#8 - 2013-04-15 15:01 - Etienne Massip

- Subject changed from Layout defect to Project horizontal menu layout doesn't wrap

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#9 - 2013-04-15 17:57 - Terence Mill

related to

Support Nesting Menus #10773

Configure order/position and visbility of tabs in menu #6984

Advanced menu (main,context) configuration like order, aligment, grouping and behaviour #10718

#10 - 2013-07-23 22:01 - Mischa The Evil

- Has duplicate Defect #14526: Default Theme: Apparent strange behaviour with the main-menu when many submenus are added added

#11 - 2013-10-01 06:53 - Toshi MARUYAMA

- Has duplicate Defect #14489: Wrong CSS for large menu added

#12 - 2014-03-26 23:45 - Jan S

While a complete overhaul of the menu would be nice, I think applying this little fix in the next minor release would help people right now. Seeing this

has been an issue for more than 3 years now, I'd rather like to have a little fix restoring functionality right now rather than waiting for the better

"complete overhaul" solution for a possibly long, unknown time.

#13 - 2016-12-23 05:39 - Go MAEDA

- Related to Patch #20632: Tab left/right buttons for project menu added

#14 - 2016-12-23 05:39 - Go MAEDA

- Status changed from Confirmed to Closed

- Target version deleted (Candidate for next minor release)

- Resolution set to Fixed

Resolved by #20632 in a different solution.

Redmine 3.3.0 has tab left/right buttons in project menu.

Files

defect.png 60.3 KB 2010-10-11 Hans Schmidt

fix.PNG 23.5 KB 2010-10-11 Hans Schmidt
